<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Dokumente\DokumenteUebersicht;

abstract class DokumenteZeilenView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  protected function getBodyDataModulArray()
  {
    return $this->viewModel->dokumente;
  }

  protected function getDefaultDataModulArray()
  {
    $datamodul = new class() extends \Datamodul {
      public $show_upload_button;
      public $bereichsname;
    };
    $datamodul->show_upload_button = $this->viewModel->showUploadButton;
    $datamodul->bereichsname = $this->viewModel->bereichsname;

    return array($datamodul);
  }
}

class DokumenteZeilenViewModel
{
  public $dokumente = array();
  public $showUploadButton;
  public $bereichsname;
}